<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите снять защиту с директории ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '<a href="?func=diraccess.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes">Да</a> / <a href="?func=diraccess">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=diraccess.delete&elid=' . urlencode($_GET['elid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Защита успешно снята!<br />' . "\n";
        echo '<a href="?func=diraccess">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при выполнении операции!<br />' . "\n";
        echo '<a href="?func=diraccess">Продолжить</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>